@keyframes rotate {
	to {
		--angle: 360deg;
	}
}

@property --angle {
  syntax: '<angle>';
  initial-value: 0deg;
  inherits: false;
}

.escuela__title {
    margin-top: 8vw;
    font-size: 3.5vw;
    font-weight: 400;
    text-align: center;
    letter-spacing: 2px;
}

.escuela-toggler {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    width: 50vw;
    height: 5vw;
}

.escuela-toggler svg {
    width: 20%;
    height: 100%;
}

.escuela-text {
    font-size: 1.5vw;
    line-height: 1.25em;
}

.escuela-text:first-child {
    margin-right: 20px;
}

.escuela-text:last-child {
    margin-left: 20px;
    opacity: 0.4;
}

.escuela-form {
    display: flex;
    flex-direction: column;
    padding: var(--gap-main) 0;
    font-size: 1.5vw;
}

.escuela-group__label {
    display: inline-block;
    width: 8vw;
    height: 5vw;
}

.escuela-group__input {
    display: inline-block;
    position: relative;
    width: 20vw;
    height: 3vw;
    padding: 0vw 1vw;
    border: 0.1vw solid var(--color-text);
    border-radius: 10vw;
    background-color: transparent;
    color: var(--color-text);
    transition: all 0.5s ease-in-out;
}

.escuela-group__input:focus {
    width: 25vw;
    height: 4vw;
    background:
        linear-gradient(black, black) padding-box,
        linear-gradient(var(--angle), var(--color-main), var(--color-midlayer), var(--color-secondary)) border-box;
    border: 0.5vw solid transparent;
    animation: 5s rotate ease-in-out infinite;
}

.escuela-input-button {
    font-size: 1.78vw;
    padding: 1vw 2vw;
}

.escuela-input-button::after {
    content: "";
    display: none;
    width: 2vw;
    height: 1.5vw;
    background-image: url("../img/rocket.svg");
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: 15px;
    transition: all 0.5s ease-in-out;
}

.escuela-input-button:hover::after {
    display: inline-block;
}

.escuela-button-group {
    position: relative;
}

.escuela-error-credentials {
    color: var(--color-secondary);
}

.escuela-credentials {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    height: 100%;
}

.escuela-credentials p {
    margin: auto;
}

.escuela-user {
    font-size: 2vw;
}

.logout-img {
    width: 50px;
    height: 50px;
    margin: auto 0px auto 10px;
    transition: all 0.5s ease-in-out;
}

.logout-img img:hover {
    content: url("../img/logout-hover.svg")
}

.escula-homework-form * {
    font-size: 1.5vw;
}

#id_file {
    margin: 0px 15px;
}

@media (min-width: 480px) and (max-width: 939px) {

.escuela__title {
    font-size: 4.2vw;
}

.escuela-toggler {
    width: 70vw;
    height: 4vw;
}

.escuela-text {
    font-size: 2vw;
    line-height: 0em;
}

.escuela-text:first-child {
    margin-right: 5px;
}

.escuela-text:last-child {
    margin-left: 5px;
}

.escuela-form {
    font-size: 2vw;
}

.escuela-group__label {
    width: 12vw;
    height: 5vw;
}

.escuela-group__input {
    width: 30vw;
    height: 4vw;
    padding: 0.5vw 1.5vw;
    border: 0.3vw solid var(--color-text);
    border-radius: 10vw;
}

.escuela-group__input:focus {
    width: 40vw;
    height: 4.5vw;
    border: 0.5vw solid transparent;
}

.escuela-input-button {
    font-size: 2.2vw;
    padding: 1.5vw 3vw;
    border-radius: 10vw
}

.escuela-user {
    font-size: 3vw;
}

.logout-img {
    width: 40px;
    height: 40px;
}

.escula-homework-form * {
    font-size: 2.5vw;
}
}

@media (max-width: 479px) {

.escuela__title {
    margin-top: 11vw;
    font-size: 5vw;
}

.escuela-toggler {
    width: 70vw;
    height: 6vw;
}

.escuela-text {
    font-size: 3vw;
    line-height: 0em;
}

.escuela-text:first-child {
    margin-right: 5px;
}

.escuela-text:last-child {
    margin-left: 5px;
}

.escuela-form {
    font-size: 3vw;
}

.escuela-group__label {
    width: 15vw;
    height: 5vw;
}

.escuela-group__input {
    width: 40vw;
    height: 5vw;
    padding: 0.5vw 1.5vw;
    border: 0.3vw solid var(--color-text);
    border-radius: 10vw;
}

.escuela-group__input:focus {
    width: 50vw;
    height: 5.5vw;
    border: 0.5vw solid transparent;
}

.escuela-input-button {
    font-size: 3.3vw;
    padding: 1.5vw 3vw;
    border-radius: 10vw
}

.escuela-user {
    font-size: 4vw;
}

.logout-img {
    width: 30px;
    height: 30px;
}

.escula-homework-form * {
    font-size: 4vw;
}
}